View Issue Details

IDProjectCategoryView StatusLast Update
0017441mantisbtotherpublic2015-04-04 12:12
ReportergrangewayAssigned Todregad 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0dev 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0017441: PHP Notice generated by logging api
Description

Notice: Array to string conversion in core\logging_api.php on line 93
Call Stack

Time Memory Function Location

1 0.0021 225568 {main}( ) ..\manage_proj_edit_page.php:0
2 0.0030 254104 require_once( 'core.php' ) ..\manage_proj_edit_page.php:50
3 0.0816 5476272 plugin_init_installed( ) ..\core.php:228
4 0.0851 5477760 plugin_register_installed( ) ..\plugin_api.php:951
5 0.0861 5500632 db_query_bound( ) ..\plugin_api.php:923
6 0.0869 5504728 log_event( ) ..\database_api.php:414
7 0.0870 5511032 error_handler( ) ..\database_api.php:93
8 0.0870 5511160 lang_get_default( ) ..\error_api.php:97
9 0.0870 5511208 auth_is_user_authenticated( ) ..\lang_api.php:115
10 0.0871 5511736 auth_is_cookie_valid( ) ..\authentication_api.php:131
11 0.0872 5512080 db_query_bound( ) ..\authentication_api.php:811
12 0.0876 5518184 log_event( ) ..\database_api.php:414

Steps To Reproduce

Set:

$g_log_level = LOG_DATABASE;
$g_log_destination = 'page';

TagsNo tags attached.

Activities

dregad

dregad

2014-06-12 10:21

developer   ~0040797

I recall having already fixed this issue in one of my pending branches/pull requests (probably the adodb one).

dregad

dregad

2014-07-07 10:37

developer   ~0040895

Cherry-picked (and squashed) the 2 commits from https://github.com/mantisbt/mantisbt/pull/181 that fix this

Related Changesets

MantisBT: master c2513b1e

2014-05-12 10:45:17

dregad

Details Diff
Logging API: fix array to string conversion notice

log_event() used $p_msg to print the message, instead of the sanitized
$s_msg variable, so when logging DB events which are submitted as an
array with execution time, the notice gets triggered.

Regression introduced by 2d0df25ec0fc7d9a0d97c8e5e102b617e5ff96d9

Fixes 0017441
mod - core/logging_api.php Diff File

Issue History

Date Modified Username Field Change
2014-06-11 17:33 grangeway New Issue
2014-06-12 10:21 dregad Note Added: 0040797
2014-07-07 10:36 dregad Changeset attached => MantisBT master c2513b1e
2014-07-07 10:36 dregad Assigned To => dregad
2014-07-07 10:36 dregad Status new => resolved
2014-07-07 10:36 dregad Resolution open => fixed
2014-07-07 10:36 dregad Fixed in Version => 1.3.0-beta.1
2014-07-07 10:36 dregad Product Version => 1.3.0dev
2014-07-07 10:36 dregad Target Version => 1.3.0-beta.1
2014-07-07 10:37 dregad Note Added: 0040895
2014-11-10 11:09 vboctor Fixed in Version 1.3.0-beta.1 =>
2014-12-08 02:08 atrol Status resolved => closed
2015-04-04 12:12 dregad Fixed in Version => 1.3.0-beta.1